# Companion

object Companion

## Properties

isAutoProcessWithFactory2
Link copied to clipboard
var isAutoProcessWithFactory2 : Boolean

Automatically add HikageFactory to handle LayoutInflater.Factory2.

## Functions

build
Link copied to clipboard
@ JvmName (name = "buildTyped")
inline fun < LP : ViewGroup.LayoutParams > build (noinline factory: HikageFactoryBuilder .() -> Unit = {}, noinline performer: HikagePerformer < LP >): Hikage.Delegate < LP >
fun build (factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): Hikage.Delegate < ViewGroup.LayoutParams >
fun < LP : ViewGroup.LayoutParams > build (lpClass: Class < LP >, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): Hikage.Delegate < LP >

Create a new Hikage.Delegate.

create
Link copied to clipboard
@ JvmName (name = "createTyped")
inline fun < LP : ViewGroup.LayoutParams > create (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): <Error class: unknown class>
inline fun create (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): <Error class: unknown class>
inline fun < LP : ViewGroup.LayoutParams > create (lpClass: Class < LP >, context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): <Error class: unknown class>

Create a new Hikage.